using System;
using System.IO;

internal sealed class Delegate578 : MulticastDelegate
{
	public extern FileInfo[] Invoke(object object_0, string string_0);

	public static FileInfo[] smethod_0(object object_0, string string_0, Delegate578 delegate578_1)
	{
		return delegate578_1(object_0, string_0);
	}

	public extern Delegate578(object object_0, IntPtr intptr_0);

	static Delegate578()
	{
		Class10.smethod_13(typeof(Delegate578).TypeHandle);
	}

	internal static Delegate578 delegate578_0;
}
